
From: Anton Blanchard <anton@samba.org>

Fix for ppc64 SMT enablement bug provided by Jimi Xenidis and Michael Day


---

 arch/ppc64/kernel/prom.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/prom.c~ppc64-promfix arch/ppc64/kernel/prom.c
--- 25/arch/ppc64/kernel/prom.c~ppc64-promfix	2004-02-21 20:58:16.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/prom.c	2004-02-21 20:58:16.000000000 -0800
@@ -1191,9 +1191,9 @@ smt_setup(void)
 				sizeof(option));
 			if (option[0] != 0) {
 				found = 1;
-				if (!strcmp(option, "off"))	
+				if (!strcmp(option, RELOC("off")))
 					my_smt_enabled = SMT_OFF;
-				else if (!strcmp(option, "on"))	
+				else if (!strcmp(option, RELOC("on")))
 					my_smt_enabled = SMT_ON;
 				else
 					my_smt_enabled = SMT_DYNAMIC;

_
